<template>
    <div>
        <div v-if="$route.name === 'Registration'">
            <b-container>

                <b-row class="justify-content-center mt-5 pt-3">
                    <h1 class="display-md-3 font-weight-bold">Registrazione</h1>
                </b-row>

                <div class="divider mt-5 mb-5"></div>

<!--                    Bottoni registrazione-->

                <div class="row justify-content-center align-items-center">

<!--
                    <div class="d-md-flex flex-md-column
                    right-divider pr-md-5" >
                        <h1 class="justify-content-center text-center"> Consumatore </h1>
                        <b-jumbotron class="shadow animate second-rectangle text-center d-flex justify-content-center align-items-center"
                                     @click="utenteBtn"
                                     style="height: 40vh; width: 40vh;"
                        >
                            <img src="../../assets/user.svg" alt="" style="height: 25vh; width: 25vh;">
                        </b-jumbotron>
                    </div> -->

                    <div class="md-5">
                        <h1 class="justify-content-center text-center "> Negozio </h1>
                        <div class="jumbotron shadow animate first-rectangle d-flex justify-content-center align-items-center"
                             @click="$router.push('/registrazione/negozio')"
                             style="height: 40vh; width: 40vh;"
                        >
                            <img src="../../assets/kart.svg" alt="" style="height: 25vh; width: 25vh;">
                        </div>
                    </div>

                </div>


<!--                 -------        -->

            </b-container>
        </div>
        <router-view/>
    </div>
</template>

<script>
    export default {
        name: "Registration",
        methods: {
            utenteBtn() {
                //$router.push('/registrazione/utente')
                alert('guarda che non è ancora dfisuhgiud')
            }
        }
    }
</script>

<style scoped>



    .first-rectangle, .second-rectangle {
        cursor: pointer;
    }

</style>
